--- /root/nagios/nagios/nagios.spec	2004-08-06 10:53:17.000000000 -0600
+++ nagios.spec	2004-08-06 11:31:00.000000000 -0600
@@ -190,7 +190,7 @@
 	--with-init-dir=/etc/init.d \
 	--with-cgiurl=/nagios/cgi-bin \
 	--with-htmurl=/nagios \
-	--with-lockfile=/var/run/nagios.pid \
+	--with-lockfile=/var/run/nagios/nagios.pid \
 	--with-nagios-user=%{nsusr} \
 	--with-nagios-grp=%{nsgrp} \
 	--prefix=%{_prefix} \
@@ -247,6 +247,9 @@
 make DESTDIR=${RPM_BUILD_ROOT} INSTALL_OPTS="" COMMAND_OPTS="" install
 make DESTDIR=${RPM_BUILD_ROOT} INSTALL_OPTS="" COMMAND_OPTS="" INIT_OPTS="" install-daemoninit
 
+# create lock directory
+install -c -m 775  -d ${RPM_BUILD_ROOT}/var/run/nagios
+
 # install templated configuration files
 cd sample-config
 for f in {nagios,cgi}.cfg ; do
@@ -310,6 +313,7 @@
 %defattr(640,root,%{nsgrp})
 %config(noreplace) /etc/nagios/private/resource.cfg
 %defattr(755,%{nsusr},%{nsgrp})
+%dir /var/run/nagios
 %dir /var/log/nagios
 %dir /var/log/nagios/archives
 %defattr(2775,%{nsusr},%{nsgrp})
